<template>
  <div class="confirm_bar">

    <h3 class="comm_title">
      {{ lang.data['审批原因'] }}
    </h3>

    <div class="editor_ct">
      <template v-for="row in form_config.items">

        <textarea 
        v-if="row.type == 'textarea'"
        v-model="row.value"
        class="item_ipt item_text_area"
        ></textarea>

        <div 
        class="select_area" 
        v-if="row.type == 'select'"
        >
          <span></span>
          <base_select :config="row" v-model="row.value"></base_select>
        </div>

      </template>      
    </div>

    <div class="submit_ct">
      <div class="sub_btn" @click="submit">
        <div class="sub_btn_text">
          {{ lang.data['提交'] }}
        </div>
      </div>
    </div>

    <br/>
    <br/>
    <br/>
    <!-- <div class="confirm_bar_text">表决您的意见</div>

    <div class="confirm_bar_actions">
      <div class="confirm_bar_btn white_btn" @click="$emit('reject')">反对</div>
      <div class="confirm_bar_btn" @click="$emit('confirm')">同意</div>
    </div> -->
  </div>
</template>
<script>
import { mapActions, mapState, mapMutations, mapGetters } from 'vuex';
import base_select from '@/components/base_select.vue'
import { lang } from '../lang'

export default {
  data () {
    return {
      lang,
      form_config: {
        items: [
          {
            name: 'memo',
            placeholder: '',
            value: '',
            type: 'textarea'
          },
          {
            name: 'action_name',
            value: 'confirm',
            list: [
              {
                'text': `
                  <i class="base_select_icon approve"></i>${ lang.data['同意'] }
                `,
                'value': 'confirm'
              },
              {
                'text': `
                  <i class="base_select_icon reject"></i>${ lang.data['反对'] }
                `,
                'value': 'reject'
              },
            ],
            type: 'select'
          }
        ]
      }
    }
  },

  computed: {
    ...mapGetters(['account_name']),
    form_value () {
      let form_values = {};
      this.form_config.items.forEach(item => {
        form_values[item.name] = item.value;
      });
      return form_values;
    }
  },

  methods: {
    async submit () {
      this.$emit(this.form_value.action_name, this.form_value.memo);
      console.log(this.form_value);
    }
  },

  components: {
    base_select
  }
}
</script>
<style lang="stylus" scoped="true">
.confirm_bar
  position relative
  background rgba(0, 0, 0, 0)
  display block
  padding 0px
.select_area
  display flex
  justify-content space-between
  margin-top -40px
  padding-right 20px
  position relative
  z-index 1
  @media (max-width: 800px)
    margin-top 10px
    justify-content flex-start

.comm_title
  font-size 22px
  line-height 1
  font-weight 400
  padding 30px 0px
.submit_ct
  margin-top 40px
  .sub_btn
    display inline-block
    background-color #000
    color #fff
    @media (max-width: 800px)
      display block
    .sub_btn_text
      display flex
      line-heght 30px
      align-items center
      justify-content center
      padding 10px 70px
</style>
<style lang="stylus">
.base_select_icon
  display block
  width 14px
  height 14px
  background-size contain
  background-position center
  background-repeat no-repeat
  margin-right 10px
</style>


